=== modified file 'Makefile'
--- Makefile	2008-09-03 20:24:01 +0000
+++ Makefile	2008-09-04 15:06:25 +0000
@@ -39,7 +39,7 @@
 newsampledata:
 	$(MAKE) -C database/schema newsampledata
 
-apidoc: build
+apidoc: compile
 	LPCONFIG=$(LPCONFIG) $(PYTHON) ./utilities/create-lp-wadl.py | \
 		$(XSLTPROC) ./lib/launchpadlib/wadl-to-refhtml.xsl - \
 		> ./lib/canonical/launchpad/apidoc/index.html
@@ -111,9 +111,11 @@
 pagetests: build
 	env PYTHONPATH=$(PYTHONPATH) ${PYTHON} test.py test_pages
 
-inplace: build apidoc
-
-build: bzr_version_info
+inplace: build
+
+build: bzr_version_info compile apidoc
+
+compile:
 	${SHHH} $(MAKE) -C sourcecode build PYTHON=${PYTHON} \
 	    PYTHON_VERSION=${PYTHON_VERSION} LPCONFIG=${LPCONFIG}
 	${SHHH} LPCONFIG=${LPCONFIG} PYTHONPATH=$(PYTHONPATH) \

